import javax.swing.JOptionPane;

/*****************************************
 *  Lit un nombre entier au clavier
 *  
 *  entree :
 *   - message : message d'invite
 *
 *  sortie :
 *   - nombre de type int
 *****************************************/
int lire(String message) {
  String str = JOptionPane.showInputDialog(null, message);

  return Integer.parseInt(str) ;
}

/**************************************
*  Saisie et Comptage du vote
*
*  entrée :
*    - nb : nombre de personne à interroger
* 
*  sortie :
*    - affichage des résultats 
***************************************/
void voter(int nb) {
  int rep;
  
  int nOui   = 0; 
  int nNon   = 0; 
  int nBlanc = 0; 
  
  for(int i = 0; i < nb; i++) {
    rep = lire("Veuillez rentrer le vote " + i);
    
    switch (rep) {
      case 1 : // vote oui
            nOui = nOui + 1;
            break;
      case -1 : // vote non
            nNon = nNon + 1;  
            break;
      default : // vote blanc
            nBlanc = nBlanc + 1;
            break;    
    }
  }
  
  // affichage des résultats
  println("Sur " + nb + " votes,");
  println("   " + nOui   + " votes oui,");
  println("   " + nNon   + " votes non,");
  println("   " + nBlanc + " votes blanc,");
}

/********************************************/
void setup() {
  voter(10);
}


