/**************************************
*  Calcul des termes de la suite de Fibonacci
*
*  entrée :
*    - n : indice 
* 
*  sortie :
*    - entier : nieme terme de la suite de Fibonacci
***************************************/
int fibonacci(int n) {
  int unMoins2 = 1;
  int unMoins1 = 1;
  int un       = 1;
  
  for(int i = 2; i <= n; i++) {
    un = unMoins1 + unMoins2;

    unMoins2 = unMoins1;
    unMoins1 = un;
  }
  
  return un;
}

/**************************************
*  Calcul des termes de la suite de Fibonacci
*
*  entrée :
*    - n : indice 
* 
*  sortie :
*    - entier : nieme terme de la suite de Fibonacci
***************************************/
int fibonacciGeneration(int limitLapin) {
  int unMoins2 = 1;
  int unMoins1 = 1;
  
  int un = 1;
  int n  = 1;
  
  while (un <  limitLapin) {
    n  = n + 1;
    un = unMoins1 + unMoins2;

    unMoins2 = unMoins1;
    unMoins1 = un;
  }
  
  return n;
}

/*************************************/
void setup() { 
  println(fibonacci(10) + " couples de lapins au bout de 10 générations.");
  println(fibonacciGeneration(1000) + " mois pour avoir plus de 1000 couples de lapins.");  
}
